Stock estimate
curl --request GET \
--url https://gladeapi.com/api/amazon/product/stock \
--header 'API-KEY: <api-key>'import requests
url = "https://gladeapi.com/api/amazon/product/stock"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://gladeapi.com/api/amazon/product/stock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"amazonProduct": {
"stockEstimate": {
"inStock": true,
"offerId": "<string>",
"stockLevel": 4503599627370495,
"availabilityMessage": "<string>"
}
}
}
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}Products
Get Amazon Stock Estimate
Get current stock availability signals for an Amazon product.
GET
/
api
/
amazon
/
product
/
stock
Stock estimate
curl --request GET \
--url https://gladeapi.com/api/amazon/product/stock \
--header 'API-KEY: <api-key>'import requests
url = "https://gladeapi.com/api/amazon/product/stock"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://gladeapi.com/api/amazon/product/stock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"amazonProduct": {
"stockEstimate": {
"inStock": true,
"offerId": "<string>",
"stockLevel": 4503599627370495,
"availabilityMessage": "<string>"
}
}
}
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}Pass exactly one of
asin, gtin, or url.Authorizations
ApiKeyAuthBearerAuth
Query Parameters
Amazon marketplace code.
Available options:
US, UK, CA, DE, FR, IT, ES, AU, IN, MX, BR, JP, PL A 10-character Amazon Standard Identification Number.
Pattern:
^[A-Za-z0-9]{10}$A canonical HTTPS product URL on a supported Amazon host.
A valid ISBN-10, UPC, EAN, or GTIN value.
Response
Successful Amazon data response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

